Loading...
Searching...
No Matches
pdumodel::OverCurrentProtector::SettingsChangedEvent Struct Reference

Event: Overcurrent protector settings have been changed. More...

`import "OverCurrentProtector.idl";`

Inheritance diagram for pdumodel::OverCurrentProtector::SettingsChangedEvent:

## Public Attributes

Settings | oldSettings
| Settings before change.
Settings | newSettings
| Settings after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Overcurrent protector settings have been changed.

Definition at line 81 of file OverCurrentProtector.idl.

## Member Data Documentation

## newSettings

Settings pdumodel::OverCurrentProtector::SettingsChangedEvent::newSettings

Settings after change.

Definition at line 83 of file OverCurrentProtector.idl.

## oldSettings

Settings pdumodel::OverCurrentProtector::SettingsChangedEvent::oldSettings

Settings before change.

Definition at line 82 of file OverCurrentProtector.idl.

The documentation for this struct was generated from the following file:

- OverCurrentProtector.idl